import 'package:flutter/material.dart';
import 'package:lottie/lottie.dart';
import 'package:google_fonts/google_fonts.dart';

class GradesPrediction extends StatefulWidget {
  const GradesPrediction({super.key});

  @override
  State<GradesPrediction> createState() => _GradesPredictionState();
}

class _GradesPredictionState extends State<GradesPrediction> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.grey.shade900,
      appBar: AppBar(
        backgroundColor: Colors.black,
        title: Text(
          "Grading",
          style: GoogleFonts.roboto(
            color: Colors.white,
            fontWeight: FontWeight.bold,
          ),
        ),
        leading: GestureDetector(
          onTap: () {
            Navigator.of(context).pop();
          },
          child: Icon(
            Icons.arrow_back,
            color: Colors.white,
          ),
        ),
      ),
      body: Container(
        margin: EdgeInsets.symmetric(
            horizontal: MediaQuery.of(context).size.width / 15),
        child: Center(
          child: SingleChildScrollView(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.center,
              children: [
                Text(
                  "Scan your product",
                  style: GoogleFonts.roboto(
                    fontSize: MediaQuery.of(context).size.width / 10,
                    fontWeight: FontWeight.w600,
                    color: Colors.white,
                  ),
                  textAlign: TextAlign.center,
                ),
                Text(
                  "Make sure to get a closeup look on the product",
                  style: GoogleFonts.roboto(
                    fontSize: MediaQuery.of(context).size.width / 20,
                    fontWeight: FontWeight.w400,
                    color: Colors.white70,
                  ),
                  textAlign: TextAlign.center,
                ),
                SizedBox(
                  height: MediaQuery.of(context).size.height / 10.5,
                ),
                GestureDetector(
                  onTap: () {
                    // _getFromGallery();
                  },
                  child: Container(
                    width: MediaQuery.of(context).size.width,
                    child: LottieBuilder.asset(
                      "assets/lottie/scanner.json",
                    ),
                  ),
                  // child: DottedBorder(
                  //   color: Colors.black,
                  //   strokeWidth: 2,
                  //   dashPattern: [6, 3, 2, 3],
                  //   strokeCap: StrokeCap.round,
                  //   borderType: BorderType.Circle,
                  //   child: Container(
                  //     width: MediaQuery.of(context).size.width,
                  //     child: Stack(
                  //       alignment: Alignment.center,
                  //       children: [
                  //         Lottie.asset(
                  //           "assets/lottie/plant-moving.json",
                  //           height: MediaQuery.of(context).size.height / 3.5,
                  //         ),
                  //         Lottie.asset(
                  //           "assets/lottie/scanner.json",
                  //         ),
                  //       ],
                  //     ),
                  //   ),
                  // ),
                )
              ],
            ),
          ),
        ),
      ),
    );
  }
}
